> ## Documentation Index
> Fetch the complete documentation index at: https://developers-sandbox.uqpaytech.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Cardholder

> Retrieves an issuing cardholder object.



## OpenAPI

````yaml /card-issuance/v1.6/issuing.yaml get /v1/issuing/cardholders/{id}
openapi: 3.0.2
info:
  title: Issuing API
  version: 0.0.1
  description: >
    UQPAY Issuing API allows you to issue virtual cards, manage cardholders, and
    monitor card transactions.


    ## What you can do

    - Create and manage virtual cards (issue, activate, freeze, cancel)

    - Onboard and verify cardholders with KYC

    - Set spending limits and card controls

    - Recharge and withdraw card balances

    - Query card transactions and account balances

    - Transfer funds between issuing accounts

    - Generate and download reports


    ## Authentication

    All requests require a valid auth token obtained via the [Access
    Token](/account-center/v1.6/api-reference/access-token) endpoint. Include
    the token in the `x-auth-token` header.


    ## Idempotency

    POST requests support the `x-idempotency-key` header to safely retry without
    creating duplicate resources.
  contact:
    name: UQPAY Support Team
    url: https://www.uqpay.com/support
    email: support@uqpay.com
  license:
    name: Proprietary
    url: https://www.uqpay.com/legal/api-terms
  termsOfService: https://www.uqpay.com/legal/terms
  x-api-id: uqpay-issuing-api-v1.6.0
  x-categories:
    - Card Issuing
    - Transaction Processing
  x-features:
    - Virtual Card Issuance
    - Real-time Processing
    - Webhook Notifications
    - Comprehensive Reporting
    - Transaction Monitoring
servers:
  - url: https://api-sandbox.uqpaytech.com/api
    description: Sandbox base URL.
  - url: https://api.uqpay.com/api
    description: Production base URL.
security: []
tags:
  - name: Cards
    description: >-
      These APIs are designed for you to be able to manage your consumer's cards
      easily, allowing you to set spending limits, modify the status of the
      cards.
  - name: Cardholders
    description: >-
      You can create cardholders, which are authorized representatives of your
      business that can be issued cards.
  - name: Transactions
    description: >-
      These APIs allow you to retrieve information on transactions that are made
      on your user's cards.
  - name: Products
    description: >-
      With this set of APIs, you will be able to create card orders for your
      customers.
  - name: Balances
    description: >-
      The available and pending amounts for each currency are broken down
      further by payment source types. You can retrieve it to see the balance
      currently on your issuing account.
  - name: Transfers
    description: Transfer funds between issuing accounts.
  - name: Reports
    description: Generate and download issuing reports.
  - name: Simulator
    description: Simulate card transactions on the sandbox environment.
paths:
  /v1/issuing/cardholders/{id}:
    get:
      tags:
        - Cardholders
      summary: Retrieve Cardholder
      description: Retrieves an issuing cardholder object.
      operationId: retrieve-cardholder
      parameters:
        - $ref: '#/components/parameters/IdPath'
        - $ref: '#/components/parameters/XOnBehalfOf'
      responses:
        '200':
          description: OK - Successfully retrieved a cardholders.
          headers:
            x-response-id:
              $ref: '#/components/headers/XResponseId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CardholderListResponse'
                title: ListCardholdersResponse
      security:
        - XAuthToken: []
components:
  parameters:
    IdPath:
      name: id
      description: Universally unique identifier (UUID v4) of a resource.
      in: path
      required: true
      schema:
        type: string
        format: uuid
        example: 71fdb0fe-9682-457a-9361-e8868694f12f
    XOnBehalfOf:
      in: header
      name: x-on-behalf-of
      schema:
        type: string
      required: false
      description: >
        Specifies the sub-account on whose behalf the request is made. This
        should be set to the `account_id`, which can be retrieved via the [List
        Connected
        Accounts](/account-center/v1.6/api-reference/list-connected-accounts)
        endpoint. If omitted or empty, the request is executed using the master
        account.

        More information at [Connected
        Accounts](/account-center/v1.6/guide/connected-accounts).
      example: 18523f72-f4de-4f9c-bb8e-ec7d1c4f32be
  headers:
    XResponseId:
      description: >-
        Universally unique identifier (UUID v4) for the response. Helpful for
        identifying a request when communicating with UQPAY support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    CardholderListResponse:
      type: object
      properties:
        cardholder_id:
          $ref: '#/components/schemas/CardholderId'
        email:
          $ref: '#/components/schemas/CardholderEmail'
        number_of_cards:
          $ref: '#/components/schemas/CardholderNumberOfCards'
        first_name:
          description: >-
            The first name of this cardholder. Required before activating Cards.
            This field cannot contain any numbers, special characters (except
            periods, commas, hyphens, spaces and apostrophes) or non-latin
            letters.
          type: string
          example: Emily
        last_name:
          description: >-
            The last name of this cardholder. Required before activating Cards.
            This field cannot contain any numbers, special characters (except
            periods, commas, hyphens, spaces and apostrophes) or non-latin
            letters.
          type: string
          example: Toy
        create_time:
          description: Time at which the object was created.
          type: string
          example: '2024-05-09 15:52:23'
        cardholder_status:
          $ref: '#/components/schemas/CardholderStatus'
        date_of_birth:
          $ref: '#/components/schemas/CardholderDateOfBirth'
        country_code:
          $ref: '#/components/schemas/CountryCode'
        phone_number:
          $ref: '#/components/schemas/CardholderPhoneNumber'
        gender:
          $ref: '#/components/schemas/Gender'
        nationality:
          $ref: '#/components/schemas/Nationality'
        residential_address:
          $ref: '#/components/schemas/ResidentialAddress'
        review_status:
          $ref: '#/components/schemas/ReviewStatus'
        idv_status:
          type: string
          description: |
            IDV verification status. Returned when applicable.

              * `PENDING` - IDV pending.
              * `PASSED` - IDV passed.
              * `FAILED` - IDV failed.
          enum:
            - PENDING
            - PASSED
            - FAILED
        idv_verification_url:
          type: string
          description: IDV verification URL. Returned when applicable.
          example: https://idv.sumsub.com/verify/abc123
        idv_url_expires_at:
          type: string
          description: IDV verification URL expiration time in RFC 3339 format.
          example: '2026-04-10T10:00:00+08:00'
    CardholderId:
      type: string
      description: The cardholder’s unique identifier.
      example: 7c4ff2cd-1bf6-4aaa-bf16-266771425011
      format: uuid
    CardholderEmail:
      type: string
      description: The cardholder’s email address.
      example: demo@example.com
    CardholderNumberOfCards:
      type: integer
      description: >-
        The total number of cards associated with the cardholder, including all
        statuses.
      example: 1
    CardholderStatus:
      description: The cardholder's status.
      type: string
      default: SUCCESS
      enum:
        - FAILED
        - PENDING
        - SUCCESS
        - INCOMPLETE
    CardholderDateOfBirth:
      description: The cardholder's birth date with `yyyy-mm-dd` format.
      type: string
      example: '1990-01-01'
    CountryCode:
      type: string
      description: >-
        Two-letter country code [ISO 3166-1
        alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
      maxLength: 2
      example: SG
    CardholderPhoneNumber:
      description: >
        The cardholder’s phone number.


        See [Phone number validation
        rules](/card-issuance/v1.6/guide/phone-number-validation-rules-for-cardholder)
        for length validation details.
      type: string
      example: '86683306'
    Gender:
      type: string
      description: |
        The cardholder's gender.

          * `MALE` - Male.
          * `FEMALE` - Female.
      enum:
        - MALE
        - FEMALE
      example: MALE
    Nationality:
      type: string
      description: >-
        The cardholder's nationality in ISO 3166-1 alpha-2 format. Required for
        STANDARD and ENHANCED KYC levels.
      minLength: 2
      maxLength: 2
      example: SG
    ResidentialAddress:
      type: object
      description: The cardholder’s residential address.
      required:
        - country
        - city
        - line1
      properties:
        country:
          $ref: '#/components/schemas/Country'
        state:
          type: string
          description: State, county, province, or region.
          maxLength: 128
          example: Singapore
        city:
          type: string
          description: City, district, suburb, town, or village.
          maxLength: 128
          example: Singapore
        district:
          type: string
          description: District or sub-region within the city.
          maxLength: 128
          example: Buona Vista
        line1:
          type: string
          description: Address line 1 (e.g., street, PO Box, or company name).
          maxLength: 255
          example: 9 N Buona Vista Dr
        line2:
          type: string
          description: Address line 2 (e.g., apartment, suite, unit, or building).
          maxLength: 255
          example: THE METROPOLIS
        line_en:
          type: string
          description: Address in English.
          maxLength: 255
          example: 9 N Buona Vista Dr, THE METROPOLIS
        postal_code:
          type: string
          description: ZIP or postal code.
          maxLength: 16
          example: '138666'
    ReviewStatus:
      type: string
      description: The review status of the cardholder.
      enum:
        - SUCCESS
        - FAILED
        - PENDING
      example: SUCCESS
    Country:
      type: string
      description: >-
        Two-letter country code [ISO 3166-1
        alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
      maxLength: 2
      example: SG
  securitySchemes:
    XAuthToken:
      type: apiKey
      in: header
      name: x-auth-token
      description: The API token for login provided by UQPay.

````